aboutsummaryrefslogtreecommitdiffstats
path: root/package/dropbear/files
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2005-03-06 03:53:29 +0000
committerMike Baker <mbm@openwrt.org>2005-03-06 03:53:29 +0000
commit785de8084a0d6513d4250da3002a6c3acb50e2dd (patch)
treedbb734891c63f90aa68df75bc65d4dee436c1640 /package/dropbear/files
parent3d904bb14a330fb72f60d4b78a40435389398655 (diff)
downloadupstream-785de8084a0d6513d4250da3002a6c3acb50e2dd.tar.gz
upstream-785de8084a0d6513d4250da3002a6c3acb50e2dd.tar.bz2
upstream-785de8084a0d6513d4250da3002a6c3acb50e2dd.zip
bring up to date with nbd's br2_test20.tar.bz2
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@308 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/dropbear/files')
-rwxr-xr-xpackage/dropbear/files/S50dropbear64
1 files changed, 64 insertions, 0 deletions
diff --git a/package/dropbear/files/S50dropbear b/package/dropbear/files/S50dropbear
new file mode 100755
index 0000000000..c7ae0af6ba
--- /dev/null
+++ b/package/dropbear/files/S50dropbear
@@ -0,0 +1,64 @@
+#!/bin/sh
+#
+# Starts dropbear sshd.
+#
+
+# Make sure the dropbearkey progam exists
+[ -f /usr/bin/dropbearkey ] || exit 0
+
+# Check for the Dropbear RSA key
+if [ ! -f /etc/dropbear/dropbear_rsa_host_key ] ; then
+ (
+ echo Generating RSA Key...
+ mkdir -p /etc/dropbear
+ /usr/bin/dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key
+ [ -f /etc/dropbear/dropbear_rsa_host_key ] && exec $0 $*
+ ) > /dev/null 2> /dev/null &
+ exit 0
+fi
+
+# Check for the Dropbear DSS key
+if [ ! -f /etc/dropbear/dropbear_dss_host_key ] ; then
+ (
+ echo Generating DSS Key...
+ mkdir -p /etc/dropbear
+ /usr/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key
+ [ -f /etc/dropbear/dropbear_dss_host_key ] && exec $0 $*
+ ) > /dev/null 2> /dev/null &
+ exit 0
+fi
+
+umask 077
+
+start() {
+ echo -n "Starting dropbear sshd: "
+ start-stop-daemon --start --quiet --pidfile /var/run/dropbear.pid --exec /usr/sbin/dropbear
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping dropbear sshd: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/dropbear.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+